#
# Copyright (c) Daniel Sheffield 2023
#
# All rights reserved
#
# THIS SOFTWARE IS PROVIDED AS IS WITHOUT WARRANTY
def iter_palettes(theme):
    palettes = [ v for k,v in theme.items() ]
    while True:
        p = palettes.pop(0)
        palettes.append(p)
        yield p